GET /integrations/linear/teams
List the teams of the connected Linear workspace.
curl "https://api.ellipsis.dev/v1/integrations/linear/teams" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"organization_id": "string",
"teams": [
{
"id": "string",
"is_enabled": false,
"key": "string",
"name": "string"
}
]
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.integrations.linear.teams()
print(result){
"organization_id": "string",
"teams": [
{
"id": "string",
"is_enabled": false,
"key": "string",
"name": "string"
}
]
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.integrations.linear.teams();
console.log(result);{
"organization_id": "string",
"teams": [
{
"id": "string",
"is_enabled": false,
"key": "string",
"name": "string"
}
]
}No request body.
{
"properties": {
"organization_id": {
"type": "string"
},
"teams": {
"items": {
"properties": {
"id": {
"type": "string"
},
"is_enabled": {
"type": "boolean"
},
"key": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"name": {
"type": "string"
}
},
"required": [
"id",
"name",
"is_enabled"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"organization_id",
"teams"
],
"type": "object"
}